libstdc++: __gnu_cxx::character< _Value, _Int, _St > Struct Template Reference

libstdc++

__gnu_cxx::character< _Value, _Int, _St > Struct Template Reference

`#include <pod_char_traits.h>`

## Public Types
typedef character< _Value, _Int, _St > | char_type
typedef _Int | int_type
typedef _St | state_type
typedef _Value | value_type

## Static Public Member Functions
template<typename V2>
static char_type | from (const V2 &v)
template<typename V2>
static V2 | to (const char_type &c)

## Public Attributes
value_type | value

## Detailed Description

template<typename _Value, typename _Int, typename _St = std::mbstate_t>
struct __gnu_cxx::character< _Value, _Int, _St >

A POD class that serves as a character abstraction class.

Definition at line 53 of file pod_char_traits.h.

## Member Typedef Documentation

## ◆ char_type

template<typename _Value, typename _Int, typename _St = std::mbstate_t>

typedef character<_Value, _Int, _St> __gnu_cxx::character< _Value, _Int, _St >::char_type

Definition at line 58 of file pod_char_traits.h.

## ◆ int_type

template<typename _Value, typename _Int, typename _St = std::mbstate_t>

typedef _Int __gnu_cxx::character< _Value, _Int, _St >::int_type

Definition at line 56 of file pod_char_traits.h.

## ◆ state_type

template<typename _Value, typename _Int, typename _St = std::mbstate_t>

typedef _St __gnu_cxx::character< _Value, _Int, _St >::state_type

Definition at line 57 of file pod_char_traits.h.

## ◆ value_type

template<typename _Value, typename _Int, typename _St = std::mbstate_t>

typedef _Value __gnu_cxx::character< _Value, _Int, _St >::value_type

Definition at line 55 of file pod_char_traits.h.

## Member Function Documentation

## ◆ from()

template<typename _Value, typename _Int, typename _St = std::mbstate_t>
template<typename V2>

char_type __gnu_cxx::character< _Value, _Int, _St >::from | ( | const V2 & | v | ) |
| inlinestatic

Definition at line 64 of file pod_char_traits.h.

## ◆ to()

template<typename _Value, typename _Int, typename _St = std::mbstate_t>
template<typename V2>

V2 __gnu_cxx::character< _Value, _Int, _St >::to | ( | const char_type & | c | ) |
| inlinestatic

Definition at line 72 of file pod_char_traits.h.

## Member Data Documentation

## ◆ value

template<typename _Value, typename _Int, typename _St = std::mbstate_t>

value_type __gnu_cxx::character< _Value, _Int, _St >::value

Definition at line 60 of file pod_char_traits.h.

The documentation for this struct was generated from the following file:

- pod_char_traits.h